# Method: applications.verify

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.PATH_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.VerifyAuthTokenResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/applications/verify#try-it)

Verifies the auth token provided with this request is for the application with the specified ID, and returns the ID of the player it was granted for.

### HTTP request

`GET https://games.googleapis.com/games/v1/applications/{applicationId}/verify`

### Path parameters

|                                      Parameters                                      ||
|-----------------|---------------------------------------------------------------------|
| `applicationId` | `string` The application ID from the Google Play developer console. |

### Request body

The request body must be empty.

### Response body

A third party application verification response resource.

If successful, the response body contains data with the following structure:

|                              JSON representation                               |
|--------------------------------------------------------------------------------|
| ``` { "player_id": string, "alternate_player_id": string, "kind": string } ``` |

|                                                                                     Fields                                                                                     ||
|-----------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------|
| `player_id`           | `string` The ID of the player that was issued the auth token used in this request.                                                                      |
| `alternate_player_id` | `string` An alternate ID that was once used for the player that was issued the auth token used in this request. (This field is not normally populated.) |
| `kind`                | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#applicationVerifyResponse`.                              |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).